%define enable_debug 0
%define _disable_ld_no_undefined 1

%define api       2.0
%define major     5
%define libname   %mklibname reiser4-%{api}_ %{major}
%define libname_m %mklibname reiser4-minimal-%{api}_ %{major}
%define libname_r %mklibname repair-%{api}_ %{major}
%define devname   %mklibname reiser4 -d

Name:           reiser4progs
Version:        2.0.5
Release:        %mkrel 4
Summary:        Utilities for reiser4 filesystems
License:        GPL-2.0-only
Group:          System/Kernel and hardware
URL:            https://sourceforge.net/projects/reiser4
Source0:        https://sourceforge.net/projects/reiser4/files/v5-unstable/progs/%{name}-%{version}.tar.gz
Patch0:         reiser4progs-1.1.0-strfmt.patch
Patch1:         reiser4progs-1.2.1-nostatic.patch
Patch2:         reiser4progs-2.0.5-linking.patch
Patch3:         autoconf-2.72.patch
BuildRequires:  glibc-static-devel
BuildRequires:  libaal-devel
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(uuid)

%description
Utilities for manipulating reiser4 filesystems.

#------------------------------------------------

%package -n     %{libname}
Summary:        Reiser4 filesystem library
Group:          System/Libraries

Conflicts:      reiser4progs < 2.0.0-5

%description -n %{libname}
Reiser4 support library implementing the main filesystem logic for
the reiser4progs utilities.

#------------------------------------------------

%package -n     %{libname_m}
Summary:        Minimal version of the Reiser4 filesystem library
Group:          System/Libraries

Conflicts:      reiser4progs < 2.0.0-5

%description -n %{libname_m}
libreiser4-minimal is a variant of the Reiser4 filesystem library
that uses a reduced footprint and which has certain features disabled
(plugin check, FNV1 hash, Rupasov hash, TEA hash and DEG hash). The
maximum supported path length in -minimal is 256 instead of 1024.

#------------------------------------------------

%package -n     %{libname_r}
Summary:        Repair library for the Reiser4 filesystem
Group:          System/Libraries

Conflicts:      reiser4progs < 2.0.0-5

%description -n %{libname_r}
Reiser4 support library implementing filesystem repair logic.

#------------------------------------------------

%package -n     %{devname}
Summary:        Development libraries and headers for developing reiser4 tools
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname_m} = %{version}-%{release}
Requires:       %{libname_r} = %{version}-%{release}
Provides:       reiser4-devel = %{version}-%{release}
Provides:       repair-devel = %{version}-%{release}
Provides:       reiser4progs-devel = %{version}-%{release}
Obsoletes:      reiser4progs-devel < 2.0.0-5

%description -n %{devname}
Development libraries and headers for developing reiser4 tools.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -fpermissive -std=gnu17 -DWANT_OBSOLETE_TYPEDEFS"
autoreconf -vfi
%configure \
%if %{enable_debug}
        --enable-debug \
%else
        --disable-debug \
%endif
        --disable-static \
        --enable-libminimal \
        --disable-fnv1-hash \
        --disable-rupasov-hash \
        --disable-tea-hash \
        --disable-deg-hash

%make_build

%install
%make_install

%files
%doc AUTHORS BUGS CREDITS NEWS README THANKS TODO
%license COPYING
%{_sbindir}/debugfs.reiser4
%{_sbindir}/fsck.reiser4
%{_sbindir}/make_reiser4
%{_sbindir}/measurefs.reiser4
%{_sbindir}/mkfs.reiser4
%{_sbindir}/volume.reiser4
%{_mandir}/man8/*reiser4*.8*

%files -n %{libname}
%license COPYING
%{_libdir}/libreiser4-%{api}.so.%{major}{,.*}

%files -n %{libname_m}
%license COPYING
%{_libdir}/libreiser4-minimal-%{api}.so.%{major}{,.*}

%files -n %{libname_r}
%license COPYING
%{_libdir}/librepair-%{api}.so.%{major}{,.*}

%files -n %{devname}
%doc README
%{_includedir}/reiser4/
%{_includedir}/repair/
%{_datadir}/aclocal/libreiser4.m4
%{_libdir}/libreiser4-minimal.so
%{_libdir}/libreiser4.so
%{_libdir}/librepair.so


%changelog
* Tue May 20 2025 daviddavid <daviddavid> 2.0.5-4.mga10
+ Revision: 2185045
- fix build with gcc15 (thanks to Aurelian R)
- use deprecated CPPFunction with new readline-8.3

* Fri Oct 04 2024 daviddavid <daviddavid> 2.0.5-3.mga10
+ Revision: 2103059
- rebuild for new libaal 1.0.7

* Sat Sep 28 2024 daviddavid <daviddavid> 2.0.5-2.mga10
+ Revision: 2101927
- add autoconf-2.72.patch to fix a build failure

* Sun Oct 29 2023 daviddavid <daviddavid> 2.0.5-1.mga10
+ Revision: 2002747
- new version: 2.0.5
- now libmajor is 5
- libify pkgs: split out all libraries in their own sub-pkgs

* Wed Mar 30 2022 umeabot <umeabot> 2.0.0-4.mga9
+ Revision: 1833915
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 mrambo3501 <mrambo3501> 2.0.0-3.mga9
+ Revision: 1789967
- fix files list

* Wed Feb 19 2020 umeabot <umeabot> 2.0.0-2.mga8
+ Revision: 1542557
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jan 05 2020 tv <tv> 2.0.0-1.mga8
+ Revision: 1476639
- new release

* Sun Jan 05 2020 tv <tv> 1.2.1-2.mga8
+ Revision: 1476628
- rebuild for new readline

* Sat Oct 20 2018 pterjan <pterjan> 1.2.1-1.mga7
+ Revision: 1322963
- Update to 1.2.1
- Update to 1.2.1
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Dec 25 2016 tmb <tmb> 1.1.0-2.mga6
+ Revision: 1077332
- fix summary
- fix group
- imported package reiser4progs

